# Release Note

## Version 0.3.0 (01/31/2025)

- the tool box is now called *ev smart charging twin*
- update documentation
- improve temperature check of CCS pins. If any temperature out of range power flow ist interrupted.
- Improve current control. Maximum possible set point for current is defined by BMS. 
- many small improvements and bugs solved

## Version 0.2.0 (12/17/2024)

- remove failure from SCADA widget ev twin
- include example EVSE
- adapt functionality to typhoon HIL-Connect EV with sub systems *measurement*, P-HIL-Interface*

## Version 0.1.0 (07/03/2024)

- examples for AC and DC charging are updated
- include 1 phase converter enabling asymmetric charging
- 

## Version 0.0.1 (01/15/2024)

- Toolbox *ev twin* first set up
- ev_twin.tlib and ev_twin.wtlib
- schematics library *ev twin* with the sub systems: ev twin, CCS, EVCC and Power Unit (including some sub models)
- *Power Unit* is fully prepared for AC and DC as well as bidirectional charging. In AC mode only symmetric currents are possible
- DC charging with ISO15118-2
- ev twin and EVCC have corresponding scada library elements
- PHIL-setup with modbus for the AC charging with cinergia
- examples for AC charging
  - ev twin ac: General behavior for AC charging

## Features and Ideas for future versions

- [ ] integrate bi-directional charging (ISO 15118-20) for AC and DC
- [ ] improve single phase converter model and make it robust  
- [ ] including inverter losses
- [ ] battery temperature model and battery condition
- [ ] modbus clients for various charging stations 
- [ ] more EV brands 
- [ ] test scripts for duty cycle charging (IEC 61851-2) --> EVSE test
- [ ] many more idea

## Known issues

- [] in typhoon version <= 2024.4 on HIL604 the HIL-Connect EV ha got a CAN issue. The sub system *fix CAN* from *ev twin* library is needed.  